
package it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma;

import com.sun.jndi.toolkit.url.Uri;
import org.apache.http.auth.Credentials;
import org.omg.CORBA.portable.ApplicationException;
import org.springframework.web.context.request.WebRequest;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.persistence.Convert;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 */
@WebServiceClient(name = "PosteDocWSService", targetNamespace = "urn:postecom", wsdlLocation = "https://ws.postedoc.test.poste:444/postedoc-ws/services/PosteDocWS?wsdl")
public class PosteDocWSService
        extends Service {

    private final static URL POSTEDOCWSSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(PosteDocWSService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = PosteDocWSService.class.getResource(".");
            url = new URL(baseUrl, "https://ws.postedoc.test.poste:444/postedoc-ws/services/PosteDocWS?wsdl");

        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'https://ws.postedoc.test.poste:444/postedoc-ws/services/PosteDocWS?wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        POSTEDOCWSSERVICE_WSDL_LOCATION = url;
    }

    public PosteDocWSService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public PosteDocWSService() {
        super(POSTEDOCWSSERVICE_WSDL_LOCATION, new QName("urn:postecom", "PosteDocWSService"));
    }

    /**
     * @return returns PosteDocWS
     */
    @WebEndpoint(name = "PosteDocWS")
    public PosteDocWS getPosteDocWS() {
        return super.getPort(new QName("urn:postecom", "PosteDocWS"), PosteDocWS.class);
    }

    /**
     * @param features A list of {@link WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return returns PosteDocWS
     */
    @WebEndpoint(name = "PosteDocWS")
    public PosteDocWS getPosteDocWS(WebServiceFeature... features) {
        return super.getPort(new QName("urn:postecom", "PosteDocWS"), PosteDocWS.class, features);
    }

}
